#ifndef _knjiga_h_
#define _knjiga_h_
#include "delo.h"
class Knjiga: public Delo {
	int brStrana;
	double debljina;
	void pisi(ostream& it);
public:
	Knjiga(const char* autor, const char* naslov, const int& brStrana,
		   const double& debljina) :
			Delo(autor, naslov, 'k'),
			brStrana(brStrana),
			debljina(debljina) {}

	Knjiga(const Knjiga& k):
			Delo(k),
			brStrana(k.brStrana),
			debljina(k.debljina) {}
	
	Knjiga& operator = (const Knjiga& k);
	int getBrStrana() const { return brStrana; }
	double getDebljina() const { return debljina; }
	
	Knjiga* kopija() const { return new Knjiga(*this); }
};
#endif